/**
 * Drop down item component
 * @class ApDropdownItem
 */

'use strict'

import React, {PropTypes as types} from 'react'
import classnames from 'classnames'
import {ApTouchMixin} from 'apeman-react-mixin-touch'

/** @lends ApDropdownItem */
const ApDropdownItem = React.createClass({

  // --------------------
  // Specs
  // --------------------

  propTypes: {},

  mixins: [
    ApTouchMixin
  ],

  statics: {},

  getInitialState () {
    return {}
  },

  getDefaultProps () {
    return {}
  },

  render () {
    const s = this
    let { state, props } = s

    return (
      <a className={ classnames('ap-dropdown-item', props.className) }
         style={ Object.assign({}, props.style) }>
        { props.children }
      </a>
    )
  }

  // --------------------
  // Lifecycle
  // --------------------
  // ------------------
  // Custom
  // ------------------

  // ------------------
  // Private
  // ------------------
})

export default ApDropdownItem;
